curl https://api.onepay.la/v1/webhooks/a1b2c3d4-e5f6-7890-abcd-ef1234567890 \
-X DELETE \
-H "Authorization: Bearer sk_test_xxx"
const id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';
await fetch(`https://api.onepay.la/v1/webhooks/${id}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer sk_test_xxx'
}
});
import requests
webhook_id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'
requests.delete(
f'https://api.onepay.la/v1/webhooks/{webhook_id}',
headers={'Authorization': 'Bearer sk_test_xxx'}
)
<?php
$id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.onepay.la/v1/webhooks/{$id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer sk_test_xxx"
]
]);
curl_exec($curl);
?>
{
"message": "Webhook eliminado correctamente."
}
{
"message": "Webhook no encontrado.",
"code": 10004,
"code_name": "not_found"
}
Elimina un webhook de tu cuenta. Esta acción es irreversible.
DELETE
/
webhooks
/
{id}
curl https://api.onepay.la/v1/webhooks/a1b2c3d4-e5f6-7890-abcd-ef1234567890 \
-X DELETE \
-H "Authorization: Bearer sk_test_xxx"
const id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';
await fetch(`https://api.onepay.la/v1/webhooks/${id}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer sk_test_xxx'
}
});
import requests
webhook_id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'
requests.delete(
f'https://api.onepay.la/v1/webhooks/{webhook_id}',
headers={'Authorization': 'Bearer sk_test_xxx'}
)
<?php
$id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.onepay.la/v1/webhooks/{$id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer sk_test_xxx"
]
]);
curl_exec($curl);
?>
{
"message": "Webhook eliminado correctamente."
}
{
"message": "Webhook no encontrado.",
"code": 10004,
"code_name": "not_found"
}
Al eliminar un webhook dejarás de recibir notificaciones para esa URL. La acción no puede deshacerse.
Path Parameters
ID del webhook a eliminar.
curl https://api.onepay.la/v1/webhooks/a1b2c3d4-e5f6-7890-abcd-ef1234567890 \
-X DELETE \
-H "Authorization: Bearer sk_test_xxx"
const id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';
await fetch(`https://api.onepay.la/v1/webhooks/${id}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer sk_test_xxx'
}
});
import requests
webhook_id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'
requests.delete(
f'https://api.onepay.la/v1/webhooks/{webhook_id}',
headers={'Authorization': 'Bearer sk_test_xxx'}
)
<?php
$id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.onepay.la/v1/webhooks/{$id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer sk_test_xxx"
]
]);
curl_exec($curl);
?>
{
"message": "Webhook eliminado correctamente."
}
{
"message": "Webhook no encontrado.",
"code": 10004,
"code_name": "not_found"
}
Was this page helpful?
⌘I